Debian Bug report logs - #587982
RFP: glmlite -- OCaml bindings for OpenGL

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Florent Monnier <monnier.florent@gmail.com>

Date: Sat, 3 Jul 2010 14:57:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-ocaml-maint@lists.debian.org, wnpp@debian.org:
Bug#587982; Package wnpp. (Sat, 03 Jul 2010 14:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florent Monnier <monnier.florent@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-ocaml-maint@lists.debian.org, wnpp@debian.org.

Your message had a Version: pseudo-header with an invalid package version:

N/A; reported 2010-04-14

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sat, 03 Jul 2010 14:57:04 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Florent Monnier <monnier.florent@gmail.com>
To: submit@bugs.debian.org
Subject: RFP: glmlite -- OCaml bindings for OpenGL
Date: Sat, 3 Jul 2010 16:53:38 +0200
Subject: RFP: glmlite -- OCaml bindings for OpenGL
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-ocaml-maint@lists.debian.org
Version: N/A; reported 2010-04-14

Package name: glmlite
Package Version: 0.03.49
Upstream Author: Florent Monnier <fmonnier@linux-nantes.org>
URL: http://www.linux-nantes.org/%7Efmonnier/OCaml/GL/
License: GPL
Description: OCaml bindings for OpenGL.
 This package provides OCaml bindings for OpenGL.
 There is a module for GL, Glu and Glut, and also some
 texture loaders for different image file formats.
 There are specialised/optimised loaders for jpeg, png and svg,
 and also a generic image loader (which uses the libmagick).
 The names of the functions are the same than in the C API,
 and buffers are managed with bigarrays.
 It is possible to write froward-compatible programs with glMLite.

More Informations for the packager:
By default building with only make will only build the OpenGL bindings because
this is what most people will want. Also if you wish to build everything you
have to install the -devel packages with the header files.
To build everything the command is 'make everything' then you need the devel
packages for these libraries: OpenGL, GLU, Glut, libjpeg, libpng, librsvg,
libmagick, libgle, libftgl.

The tarball also contains a lot of examples, here is the list of directories
(from the base dir):
TEST/ TEST3/ RedBook-Samples/ gle-examples/ nehe-examples/ LablGL/
If you package these examples I would recommend to patch the makefiles in these
directories, because the makefiles are made to work with the sources next to
it. So here are patches to make these makefiles work with the installed
library:
http://svn.mandriva.com/cgi-bin/viewvc.cgi/packages/cooker/ocaml-glmlite/current/SOURCES/




Owner recorded as Stéphane Glondu <glondu@debian.org>. Request was from Stéphane Glondu <glondu@debian.org> to control@bugs.debian.org. (Sun, 01 Aug 2010 23:51:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: glmlite -- OCaml bindings for OpenGL' from 'RFP: glmlite -- OCaml bindings for OpenGL' Request was from Stéphane Glondu <glondu@debian.org> to control@bugs.debian.org. (Sun, 01 Aug 2010 23:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stéphane Glondu <glondu@debian.org>:
Bug#587982; Package wnpp. (Sat, 19 Feb 2011 17:49:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stéphane Glondu <glondu@debian.org>. (Sat, 19 Feb 2011 17:49:02 GMT) Full text and rfc822 format available.

Message #14 received at 587982@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 587982@bugs.debian.org
Cc: control@bugs.debian.org
Subject: glmlite: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:08:13 +0000
retitle 587982 RFP: glmlite -- OCaml bindings for OpenGL
noowner 587982
thanks

Hi,

This is an automatic email to change the status of glmlite back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting glmlite, please send a mail to
<control@bugs.debian.org> with:

 retitle 587982 ITP: glmlite -- OCaml bindings for OpenGL
 owner 587982 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <587982@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: glmlite -- OCaml bindings for OpenGL' from 'ITP: glmlite -- OCaml bindings for OpenGL' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:53:13 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Stéphane Glondu <glondu@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:53:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#587982; Package wnpp. (Sun, 20 Feb 2011 15:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 20 Feb 2011 15:21:07 GMT) Full text and rfc822 format available.

Message #23 received at 587982@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: 587982@bugs.debian.org
Cc: Debian Ocaml Maint ML <debian-ocaml-maint@lists.debian.org>, Florent Monnier <fmonnier@linux-nantes.org>
Subject: Re: Bug#587982: glmlite: changing back from ITP to RFP
Date: Sun, 20 Feb 2011 16:16:34 +0100
Le 19/02/2011 18:08, Lucas Nussbaum a écrit :
> This is an automatic email to change the status of glmlite back from ITP
> (Intent to Package) to RFP (Request for Package), because this bug hasn't seen
> any activity during the last 6 months.

I've started to package glmlite, and the basic packaging is done. The
only remaining issues that prevented me from uploading it was the
examples and their support with an installed packaged (i.e. from outside
the source tree), and the fact that I don't use it personnally, so I
don't really know how to test the package (but easy use of examples with
an installed package could be a solution). I am also quite suspicious
about some licenses in the examples, but similar stuff already exists in
the archive. Someone (I don't remember who) pointed me to patches in
Mandriva for usage of examples outside of the build tree, but they were
unacceptable for me. I've pushed my current packaging for reference at
[1], but I don't plan to work on it in a near future, so I'll leave this
bug as RFP.

[1] http://git.debian.org/?p=pkg-ocaml-maint/packages/glmlite.git

> If you are still interested in adopting glmlite, please send a mail to
> <control@bugs.debian.org> with:
> 
>  retitle 587982 ITP: glmlite -- OCaml bindings for OpenGL
>  owner 587982 !
>  thanks

If someone else is interested to maintain this package officially, feel
free to step up. I can provide sponsoring if needed.


Cheers,

-- 
Stéphane





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#587982; Package wnpp. (Sun, 27 Feb 2011 00:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florent Monnier <monnier.florent@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 27 Feb 2011 00:45:04 GMT) Full text and rfc822 format available.

Message #28 received at 587982@bugs.debian.org (full text, mbox):

From: Florent Monnier <monnier.florent@gmail.com>
To: Stéphane Glondu <glondu@debian.org>, 587982@bugs.debian.org, Debian Ocaml Maint ML <debian-ocaml-maint@lists.debian.org>
Subject: Re: Bug#587982: glmlite: changing back from ITP to RFP
Date: Sun, 27 Feb 2011 01:42:39 +0100
Le dimanche 20 février 2011 16:16:34, vous avez écrit :
> Le 19/02/2011 18:08, Lucas Nussbaum a écrit :
> > This is an automatic email to change the status of glmlite back from ITP
> > (Intent to Package) to RFP (Request for Package), because this bug hasn't
> > seen any activity during the last 6 months.
> 
> I've started to package glmlite, and the basic packaging is done. The
> only remaining issues that prevented me from uploading it was the
> examples and their support with an installed packaged (i.e. from outside
> the source tree), and the fact that I don't use it personnally, so I
> don't really know how to test the package (but easy use of examples with
> an installed package could be a solution). I am also quite suspicious
> about some licenses in the examples, but similar stuff already exists in
> the archive. Someone (I don't remember who) pointed me to patches in
> Mandriva for usage of examples outside of the build tree, but they were
> unacceptable for me. I've pushed my current packaging for reference at
> [1], but I don't plan to work on it in a near future, so I'll leave this
> bug as RFP.
> 
> [1] http://git.debian.org/?p=pkg-ocaml-maint/packages/glmlite.git
> 
> > If you are still interested in adopting glmlite, please send a mail to
> > 
> > <control@bugs.debian.org> with:
> >  retitle 587982 ITP: glmlite -- OCaml bindings for OpenGL
> >  owner 587982 !
> >  thanks
> 
> If someone else is interested to maintain this package officially, feel
> free to step up. I can provide sponsoring if needed.
> 
> 
> Cheers,
 
Hello Stéphane,

You should not have problems with most samples of the directory TEST/,
except maybe with TEST/glsl.ml but it's close to an hello world, so the author 
of the original in C didn't put any license on it, and was very surprised I 
ask him for this.

About the red-book I don't know, but a guess this has been resolved yet 
because OpenGL bindings of other programming language have probably red-book 
samples provided too.

About the nehe examples I guess it's OK because there are nehe samples in 
LablGL which have been packaged in debian.

The examples in the directory gle-examples/ should be OK too because gle is a 
free library.

So there should be only one sample that has problem TEST/glsl.ml but it's very 
basic, just a hello-world for GLSL (GL Shadin Language).

======================

It's true that some examples are made to work in the source tree, but I made 
patches for this in the mandriva package and I have given yet the link for 
this : http://lists.debian.org/debian-ocaml-maint/2010/03/msg00013.html
http://svn.mandriva.com/cgi-bin/viewvc.cgi/packages/cooker/ocaml-
glmlite/current/SOURCES/

======================

Even if you won't use it you can easily test if it works with all the 
examples, and especially the red-book examples, indeed you should get the same 
results than with the original files in C :
http://www.opengl.org/resources/code/samples/redbook/

-- 
Best Regards
Florent




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#587982; Package wnpp. (Sun, 27 Feb 2011 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 27 Feb 2011 05:57:03 GMT) Full text and rfc822 format available.

Message #33 received at 587982@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Florent Monnier <monnier.florent@gmail.com>
Cc: 587982@bugs.debian.org, Debian Ocaml Maint ML <debian-ocaml-maint@lists.debian.org>
Subject: Re: Bug#587982: glmlite: changing back from ITP to RFP
Date: Sun, 27 Feb 2011 06:54:40 +0100
Le 27/02/2011 01:42, Florent Monnier a écrit :
> It's true that some examples are made to work in the source tree, but I made 
> patches for this in the mandriva package and I have given yet the link for 
> this : http://lists.debian.org/debian-ocaml-maint/2010/03/msg00013.html
> http://svn.mandriva.com/cgi-bin/viewvc.cgi/packages/cooker/ocaml-
> glmlite/current/SOURCES/

These patches are too intrusive and not robust enough to be part of a
Debian package IMHO. A good patch is a patch that doesn't need work when
updating the package to a new upstream version (ideally because it has
been applied upstream). Patching each individual problematic Makefile
line is NOT a good patch.

In this specific case, the tests' Makefile should guess by itself
whether it is being run from a source tree or not (e.g. by using a make
or environment variable that will be set when called from source tree).


Cheers,

-- 
Stéphane





Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:12:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.